=== modified file 'loggerhead/controllers/revision_ui.py'
--- loggerhead/controllers/revision_ui.py	2009-02-26 07:07:04 +0000
+++ loggerhead/controllers/revision_ui.py	2009-03-05 23:41:51 +0000
@@ -118,10 +118,10 @@
             if include_path(path):
                 process.append((path, path, fid, kind))
         for path, fid, kind in delta.added:
-            if include_path(path):
+            if file == 'kind' and include_path(path):
                 process.append((path, path, fid, kind))
         for path, fid, kind in delta.removed:
-            if include_path(path):
+            if file == 'kind' and include_path(path):
                 process.append((path, path, fid, kind))
 
         process.sort(key=lambda x:x[1])

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2009-03-04 22:30:32 +0000
+++ loggerhead/history.py	2009-03-05 23:41:51 +0000
@@ -621,19 +621,23 @@
         removed = []
 
         for path, fid, kind in delta.added:
-            added.append((rich_filename(path, kind), fid))
+            added.append(util.Container(
+                filename=rich_filename(path, kind), file_id=fid, kind=kind))
 
         for path, fid, kind, text_modified, meta_modified in delta.modified:
-            modified.append(util.Container(filename=rich_filename(path, kind),
-                                           file_id=fid))
+            modified.append(util.Container(
+                filename=rich_filename(path, kind), file_id=fid))
 
         for old_path, new_path, fid, kind, text_modified, meta_modified in \
                 delta.renamed:
-            renamed.append((rich_filename(old_path, kind),
-                            rich_filename(new_path, kind), fid, text_modified))
+            renamed.append(util.Container(
+                old_path=rich_filename(old_path, kind),
+                new_path=rich_filename(new_path, kind), file_id=fid,
+                text_modified=text_modified))
 
         for path, fid, kind in delta.removed:
-            removed.append((rich_filename(path, kind), fid))
+            removed.append(util.Container(
+                filename=rich_filename(path, kind), file_id=fid, kind=kind))
 
         return util.Container(added=added, renamed=renamed,
                               removed=removed, modified=modified)

=== modified file 'loggerhead/templates/revisionfilechanges.pt'
--- loggerhead/templates/revisionfilechanges.pt	2009-03-05 22:56:59 +0000
+++ loggerhead/templates/revisionfilechanges.pt	2009-03-05 23:41:51 +0000
@@ -3,10 +3,11 @@
     <tal:block condition="repeat/added/start">
       <li class="desc">files added:</li>
     </tal:block>
-    <li class="files"
-        tal:define="filename python:added[0];
-                    file_id  python:added[1]">
-      <tal:revision content="structure python:file_link(filename)" />
+    <li class="files">
+      <tal:revision condition="python:added.kind == 'file'"
+                    content="structure python:file_link(added.filename)" />
+      <tal:revision condition="python:added.kind != 'file'"
+                    content="added/filename" />
     </li>
   </ul>
 
@@ -14,10 +15,11 @@
     <tal:block condition="repeat/removed/start">
       <li class="desc">files removed:</li>
     </tal:block>
-    <li class="files"
-        tal:define="filename python:removed[0];
-                    file_id  python:removed[1]">
-      <tal:revision content="structure python:file_link(filename)" />
+    <li class="files">
+      <tal:revision condition="python:removed.kind == 'file'"
+                    content="structure python:file_link(removed.filename)" />
+      <tal:revision condition="python:removed.kind != 'file'"
+                    content="removed/filename" />
     </li>
   </ul>
 
@@ -25,17 +27,13 @@
     <tal:block condition="repeat/renamed/start">
       <li class="desc">files renamed:</li>
     </tal:block>
-    <li class="files"
-        tal:define="old_filename  python:renamed[0];
-                    new_filename  python:renamed[1];
-                    file_id       python:renamed[2];
-                    text_modified python:renamed[3]">
-      <tal:old-name content="old_filename" class="filename">
+    <li class="files">
+      <tal:old-name content="renamed/old_filename" class="filename">
         old_filename
       </tal:old-name>
       =&gt;
-      <tal:revision condition="text_modified" content="structure python:file_link(new_filename)" />
-      <tal:old-name condition="not:text_modified" content="new_filename" class="filename">
+      <tal:revision condition="renamed/text_modified" content="structure python:file_link(renamed.new_filename)" />
+      <tal:old-name condition="not:renamed/text_modified" content="renamed/new_filename" class="filename">
         new_filename
       </tal:old-name>
     </li>

